Name:           gnaural
Version:        1.0.20110606
Release:        1%{?dist}
Summary:        A multi-platform programmable binaural-beat generator
License:        GPLv2+
URL:            http://gnaural.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/Gnaural/%{name}-%{version}.tar.gz
BuildRequires:  gtk2-devel libglade2-devel libsndfile-devel
BuildRequires:  portaudio-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Gnaural is a multi-platform programmable binaural-beat generator. It
is actually brainwave entrainment software for creating binaural beats
intended to be used as personal brainwave synchronization software,
for scientific research, or by professionals. Gnaural allows for the
creation of binaural beat tracks specifying different frequencies and
exporting tracks into different audio formats. Gnaural runnings can
also be linked over the internet, allowing synchronous sessions
between many users.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

install -p -dm 755 %{buildroot}%{_datadir}/pixmaps
install -p -dm 755 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

install -p -m 644 pixmaps/%{name}-icon.xpm \
 %{buildroot}%{_datadir}/pixmaps
install -p -m 644 pixmaps/%{name}-icon.png \
 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

install -p -dm 755 %{buildroot}%{_datadir}/applications

sed -i -e 's|^Categories=.*$|Categories=AudioVideo;AudioVideoEditing;|g' \
 -e 's|^Encoding=UTF-8$||g' \
 -e 's|^GenericName=Audio binaural beat editor/generator$||g' \
 -e 's|^Icon=.*$|Icon=%{name}-icon|g' \
 %{buildroot}/%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/gnome

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.xpm
%{_datadir}/icons/hicolor/*x*/apps/%{name}*.png

%changelog
* Sun Aug 25 2013 Christopher Meng <rpm@cicku.me> - 1.0.20110606-1
- Update to new version.
- Update icon cache refresh script.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.20100408-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 04 2010 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20100408-1
- Updated to 1.0.20100408

* Tue Nov 10 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20090808-1
- Updated to 1.0.20090808

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20080808-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20080808-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-5
- Removed "Application" from .desktop Categories.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-4
- Fixed missing -p for install command.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-3
- Removed fedora as vendor - as per new guidelines.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-2
- Fixed %%version, %%description, timestamp, fixed icon path,
- Removed useless buildrequires, fixed .desktop file installation.

* Sat Dec 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-1.20080808
- Initial build.
